Subject: Re: [RFC] git checkout $tree -- $path always rewrites files

From: Junio C Hamano <[email-masked]>
Date: Fri, 07 Nov 2014 09:14:42 -0800

Jeff King <[email-masked]> writes:

> Is there a reason that we don't use this diff technique for checkout?

I suspect that the reasons are probably mixture of these:

 (1) the code path may descend from checkout-index and predates the
     in-core diff machinery;

 (2) in the context of checkout-index, it was more desirable to be
     able to say "I want the contents on the filesystem, even if you
     think I already have it there, as you as a new software are
     likely to be wrong and I know better"; or

 (3) it was easier to code that way ;-)

I do not see there is any reason not to do what you suggest.